package cn.com.ty.lift.business.project.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/4/27
 * @description 大修项目列表
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalCompanyRequest extends PageRequest {

    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 用户id
     */
    @NotNull(message = "notEmpty")
    private Long userId;

    /**
     * 项目状态
     */
    @NotEmpty(message = "notEmpty")
    private String projectStatus;
}
